summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.stowignore4
-rw-r--r--README.md5
-rwxr-xr-xbin/.local/bin/install_dotfiles7
-rwxr-xr-x[-rw-r--r--]bin/.local/bin/install_wget (renamed from install_wget)0
4 files changed, 13 insertions, 3 deletions
diff --git a/.stowignore b/.stowignore
index b450069..d3ceb07 100644
--- a/.stowignore
+++ b/.stowignore
@@ -1,7 +1,9 @@
.git
.gitignore
.stowignore
+.mrconfig
LICENSE
README.md
crontab
-pkgs
+plugins
+arch
diff --git a/README.md b/README.md
index 2c87241..cfb8027 100644
--- a/README.md
+++ b/README.md
@@ -12,8 +12,9 @@ Being a *vim* user, I find it very convenient to use tools with *vi* keybindings
# Management
Deploy with stow:
-```
- find . -mindepth 1 -maxdepth 1 -printf "%P\\0" | grep -zvFf .stowignore | xargs -0 stow -t $HOME --no-folding
+```bash
+find . -mindepth 1 -maxdepth 1 -printf "%P\\0" | grep -zvFf .stowignore | \
+ xargs -0 stow -t $HOME --no-folding
```
Personal files (`mutt` aliases, `vim` snippets, `tmuxinator` sessions, etc.) are located in a different git repository and stowed normally, with folding.
diff --git a/bin/.local/bin/install_dotfiles b/bin/.local/bin/install_dotfiles
new file mode 100755
index 0000000..ecc7371
--- /dev/null
+++ b/bin/.local/bin/install_dotfiles
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+dotfiles_directory=$HOME/dotfiles
+
+cd "$dotfiles_directory" || { echo "Nonexistent directory $dotfiles_directory"; exit; }
+find . -mindepth 1 -maxdepth 1 -printf "%P\\0" | grep -zvFf .stowignore | \
+ xargs -0 stow -t "$HOME" --no-folding
diff --git a/install_wget b/bin/.local/bin/install_wget
index 4800e8d..4800e8d 100644..100755
--- a/install_wget
+++ b/bin/.local/bin/install_wget